### Enumeration

# Atk ValueType

#### Declaration

    enum Atk.ValueType

#### Description [src]

Default types for a given value. Those are defined in order to easily get localized strings to describe a given value or a given subrange, using atk_value_type_get_localized_name().

#### Members

`ATK_VALUE_VERY_WEAK`

  No description available.

  - Value: `0`
  - Available since: 1.0
`ATK_VALUE_WEAK`

  No description available.

  - Value: `1`
  - Available since: 1.0
`ATK_VALUE_ACCEPTABLE`

  No description available.

  - Value: `2`
  - Available since: 1.0
`ATK_VALUE_STRONG`

  No description available.

  - Value: `3`
  - Available since: 1.0
`ATK_VALUE_VERY_STRONG`

  No description available.

  - Value: `4`
  - Available since: 1.0
`ATK_VALUE_VERY_LOW`

  No description available.

  - Value: `5`
  - Available since: 1.0
`ATK_VALUE_LOW`

  No description available.

  - Value: `6`
  - Available since: 1.0
`ATK_VALUE_MEDIUM`

  No description available.

  - Value: `7`
  - Available since: 1.0
`ATK_VALUE_HIGH`

  No description available.

  - Value: `8`
  - Available since: 1.0
`ATK_VALUE_VERY_HIGH`

  No description available.

  - Value: `9`
  - Available since: 1.0
`ATK_VALUE_VERY_BAD`

  No description available.

  - Value: `10`
  - Available since: 1.0
`ATK_VALUE_BAD`

  No description available.

  - Value: `11`
  - Available since: 1.0
`ATK_VALUE_GOOD`

  No description available.

  - Value: `12`
  - Available since: 1.0
`ATK_VALUE_VERY_GOOD`

  No description available.

  - Value: `13`
  - Available since: 1.0
`ATK_VALUE_BEST`

  No description available.

  - Value: `14`
  - Available since: 1.0
`ATK_VALUE_LAST_DEFINED`

  No description available.

  - Value: `15`
  - Available since: 1.0

#### Type functions

###### atk_value_type_get_localized_name

Gets the localized description string describing the `AtkValueType` `value_type`.

###### atk_value_type_get_name

Gets the description string describing the `AtkValueType` `value_type`.